
GnomeUIInfo file_menu[] = {
         GNOMEUIINFO_MENU_NEW_ITEM("_New", "New Catalog", new_file, 0),
         GNOMEUIINFO_MENU_OPEN_ITEM(open_file, 0),
         GNOMEUIINFO_MENU_CLOSE_ITEM(close_file, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_MENU_SAVE_ITEM(save_file, 0),
         GNOMEUIINFO_MENU_SAVE_AS_ITEM(save_file_as, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_MENU_EXIT_ITEM(gtk_main_quit, 0),
         GNOMEUIINFO_END
};


GnomeUIInfo edit_menu_ops[] = {
         GNOMEUIINFO_ITEM("_New Category", "Create new category", insert_new_cat, 0),
         GNOMEUIINFO_ITEM("New I_tem", "Create new item", insert_new_item, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_ITEM("_Delete Item", "Delete selected item", delete_item, 0),         
         GNOMEUIINFO_END
};

GnomeUIInfo edit_menu[] = {
         GNOMEUIINFO_MENU_UNDO_ITEM(undo_last, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_MENU_CUT_ITEM(do_cut, 0),
         GNOMEUIINFO_MENU_COPY_ITEM(do_copy, 0),
         GNOMEUIINFO_MENU_PASTE_ITEM(do_paste, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_ITEM("Change Description", "Edit description", change_text, 0),
         GNOMEUIINFO_ITEM("Change Image", "Change associated Image", change_image, 0),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_SUBTREE("_Operations", edit_menu_ops),
         GNOMEUIINFO_SEPARATOR,
         GNOMEUIINFO_MENU_PROPERTIES_ITEM(edit_properties, 0)
};

GnomeUIInfo options_menu[] = {
         GNOMEUIINFO_MENU_PREFERENCES_ITEM(do_prefs, 0),
         GNOMEUIINFO_END
};

GnomeUIInfo help_menu[] = {
         GNOMEUIINFO_ITEM_NONE("_Contents", "Help file", do_contents),         
         GNOMEUIINFO_ITEM_NONE("_License", "Delete selected item", do_license),
         GNOMEUIINFO_MENU_ABOUT_ITEM(do_about, 0),
         GNOMEUIINFO_END
};

GnomeUIInfo menubar[] = {
         GNOMEUIINFO_SUBTREE("_File", file_menu),
         GNOMEUIINFO_SUBTREE("_Edit", edit_menu),
         GNOMEUIINFO_SUBTREE("_Options", options_menu),
         GNOMEUIINFO_SUBTREE("_Help", help_menu),
         GNOMEUIINFO_END
};

void make_menus()
{
   gnome_app_create_menus(GNOME_APP(window), menubar);
   filemenu = menubar[0].widget;
   editmenu = menubar[1].widget;
   optionsmenu = menubar[2].widget;
   helpmenu = menubar[3].widget;
   file_menu_new = file_menu[0].widget;
   file_menu_open = file_menu[1].widget;
   file_menu_close = file_menu[2].widget;
   file_menu_save = file_menu[4].widget;
   file_menu_saveas = file_menu[5].widget;
   edit_menu_undo = edit_menu[0].widget;
   edit_menu_cut = edit_menu[2].widget;
   edit_menu_copy = edit_menu[3].widget;
   edit_menu_paste = edit_menu[4].widget;
   edit_menu_change_desc = edit_menu[6].widget;
   edit_menu_change_img = edit_menu[7].widget;
   edit_menu_edit_props = edit_menu[11].widget;
   edit_menu_newcat = edit_menu_ops[0].widget;
   edit_menu_newitem = edit_menu_ops[1].widget;
   edit_menu_delete = edit_menu_ops[3].widget;
}

void do_prefs(GtkWidget *widget, gpointer *data)
{
   change_settings(0);
}
void do_contents(GtkWidget *widget, gpointer *data)
{
   change_settings(2);
}
void do_license(GtkWidget *widget, gpointer *data)
{
   change_settings(3);
}
void do_about(GtkWidget *widget, gpointer *data)
{
   change_settings(4);
}

